Page MenuHomePhabricator

[RISCV] Add xperm.* instructions to Zbp extension.
ClosedPublic

Authored by craig.topper on Jan 19 2021, 1:27 PM.

Diff Detail

Event Timeline

craig.topper created this revision.Jan 19 2021, 1:27 PM
craig.topper requested review of this revision.Jan 19 2021, 1:27 PM
Herald added a project: Restricted Project. · View Herald TranscriptJan 19 2021, 1:27 PM
Herald added a subscriber: MaskRay. · View Herald Transcript
frasercrmck added inline comments.Jan 21 2021, 4:10 AM
llvm/test/MC/RISCV/rv32zbp-invalid.s
50

Do we have tests that you can't use RV64 insts on RV32, e.g. xperm.w?

craig.topper added inline comments.Jan 21 2021, 10:24 AM
llvm/test/MC/RISCV/rv32zbp-invalid.s
50

Tests added for all B extension instructions in D95150

frasercrmck accepted this revision.Jan 22 2021, 6:51 AM

LGTM

llvm/test/MC/RISCV/rv32zbp-invalid.s
50

Nice, cheers.

This revision is now accepted and ready to land.Jan 22 2021, 6:51 AM
asb accepted this revision.Jan 22 2021, 10:35 AM
This revision was automatically updated to reflect the committed changes.